package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.app.dto.ApprovalDto;
import com.lz.modules.flow.entity.FlowChange;
import com.lz.modules.flow.entity.FlowRecord;

/**
* <p>
* 变动记录表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
public interface FlowChangeService extends IService<FlowChange> {



	FlowChange selectFlowChangeById(Long id);


	Long insertFlowChange(FlowChange flowChange);


	int updateFlowChangeById(FlowChange flowChange);


	int updateCoverFlowChangeById(FlowChange flowChange);


	int deleteFlowChangeById(Long id);


    void saveChange(ApprovalDto approvalDto, FlowRecord flowRecord, int i);

    FlowChange selectFlowChangeByRecordIdAndToIdAndType(Long recordId, Long toStaffId, int type);

    FlowChange selectFlowChangeByFlowRecordIdAndType(Long flowRecordId, int i);
}